Save/Loading mechanism for levels -- in progress (map.[hc])
Save/Loading mechanism for lilaneks
Menu
Better HUD
Settings

Network protocol
Basic P2P networking
Game lobby

mine chain reaction/mines blowable by some projectiles

Better particles
Better Explosions

Bounding boxes for Areas if needed

Polish code
Balance

Map Editor -- ?module for inkscape?
